import { SpaceGraphCustomAttributeJson } from '@archilogic/space-graph-core';
declare const _default: import('../../vue/dist/vue.esm-browser.prod.js').DefineComponent<__VLS_TypePropsToOption<{
    attr: SpaceGraphCustomAttributeJson;
    color: string;
    displayMode: "color" | "text" | "shape";
    defaultOpacity: number;
    nodesByAttribute: Record<string, string[]>;
    selectedNodeIds: string[];
    rangeMin: number | null;
    rangeMax: number | null;
    textFormat: string;
}>, {}, unknown, {}, {}, import('../../vue/dist/vue.esm-browser.prod.js').ComponentOptionsMixin, import('../../vue/dist/vue.esm-browser.prod.js').ComponentOptionsMixin, {
    "update:color": (color: string) => void;
    "update:displayMode": (mode: "color" | "text" | "shape") => void;
    "update:defaultOpacity": (opacity: number) => void;
    "update:range": (type: "min" | "max", value: string) => void;
    "update:textFormat": (format: string) => void;
    "select-node": (nodeId: string) => void;
    "focus-node": (nodeId: string) => void;
}, string, import('../../vue/dist/vue.esm-browser.prod.js').PublicProps, Readonly<import('../../vue/dist/vue.esm-browser.prod.js').ExtractPropTypes<__VLS_TypePropsToOption<{
    attr: SpaceGraphCustomAttributeJson;
    color: string;
    displayMode: "color" | "text" | "shape";
    defaultOpacity: number;
    nodesByAttribute: Record<string, string[]>;
    selectedNodeIds: string[];
    rangeMin: number | null;
    rangeMax: number | null;
    textFormat: string;
}>>> & {
    "onUpdate:color"?: (color: string) => any;
    "onUpdate:displayMode"?: (mode: "color" | "text" | "shape") => any;
    "onUpdate:defaultOpacity"?: (opacity: number) => any;
    "onUpdate:range"?: (type: "min" | "max", value: string) => any;
    "onUpdate:textFormat"?: (format: string) => any;
    "onSelect-node"?: (nodeId: string) => any;
    "onFocus-node"?: (nodeId: string) => any;
}, {}, {}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToOption<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('../../vue/dist/vue.esm-browser.prod.js').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('../../vue/dist/vue.esm-browser.prod.js').PropType<T[K]>;
        required: true;
    };
};
